### DbMpoolFile::set_pgcookie

`

###

    #include <db_cxx.h>

    int
    DbMpoolFile::set(DBT *pgcookie);

    int
    DbMpoolFile::get_pgcookie(DBT *dbt);

### Description: DbMpoolFile::set_pgcookie

The DbMpoolFile::set_pgcookie method specifies a byte string that is provided to the functions registered to do input or output processing of the file's pages as they are read from or written to, the backing filesystem store. (See the DbEnv::memp_register documentation for more information.)

The DbMpoolFile::set_pgcookie method configures a file in the memory pool, not only operations performed using the specified DbMpoolFile handle.

The DbMpoolFile::set_pgcookie method may not be called after the DbMpoolFile::open method is called. If the file is already open in the memory pool when DbMpoolFile::open is called, the information specified to DbMpoolFile::set_pgcookie will replace the existing information.

The DbMpoolFile::set_pgcookie method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

pgcookie
  The pgcookie parameter is a byte string provided to the functions registered to do input or output processing of the file's pages.

### Description: DbMpoolFile::get_pgcookie

The DbMpoolFile::get_pgcookie method returns the byte string.

The DbMpoolFile::get_pgcookie method may be called at any time during the life of the application.

The DbMpoolFile::get_pgcookie method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

dbt
  The DbMpoolFile::get_pgcookie method returns a reference to the byte string in dbt.

### Class

DbEnv, DbMpoolFile

### See Also

Memory Pools and Related Methods`

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.